<?php
namespace Teknisa\MAN\Services;

use Doctrine\ORM\EntityManager;

class DescontosPorQuantidade {
    
    protected $entityManager;

	public function __construct(\Doctrine\ORM\EntityManager $entityManager)  {
		$this->entityManager = $entityManager;
	}
	
	public function checkRestricao ($params){
	    $conditions = array(
	        'NRORG'=>$params['NRORG'],
	        'CDGRUPPROD'=>$params['CDGRUPPROD'],
	        'CDSUBGRPROD'=>$params['CDSUBGRPROD'],
	       );
	       
	       return count($this->entityManager->getConnection()->fetchAll(self::SELECT, $conditions));
	}
	
	const SELECT = "
	    SELECT CDGRUPPROD, CDSUBGRPROD, NRORG FROM DESCQTDESUB WHERE CDGRUPPROD = :CDGRUPPROD 
	    AND CDSUBGRPROD = :CDSUBGRPROD AND NRORG = :NRORG
	";
}